cURL
curl --request GET \
--url https://api.puretalk.ai/api/phone-numbers/{phone_number_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/phone-numbers/{phone_number_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/phone-numbers/{phone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Phone number retrieved successfully.",
"err": false,
"results": {
"user": {
"name": "John Doe",
"dp": "https://api.puretalk.ai/api/users/1/profile_picture.jpg",
"email": "[email protected]"
},
"ai_assistant": {
"assistant_id": "00ef5401-cbfb-450a-a806-adad5dd907f3",
"name": "My AI Assistant",
"variables": [
"<string>"
]
},
"additional_data": {
"postal_code": "<string>",
"capabilities": {
"voice": true,
"SMS": true,
"MMS": true
},
"locality": "<string>",
"region": "<string>",
"iso_country": "<string>"
},
"phone_number_id": "<string>",
"phone_number": "<string>",
"friendly_name": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"err": true,
"msg": "An error occurred."
}Phone Numbers
Get Phone Number
Returns a single phone number based on the ID supplied
GET
/
phone-numbers
/
{phone_number_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of phone number to return
Was this page helpful?
⌘I